Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 4030
Content-Disposition: inline; filename="ratpoison.scm"
Last-Modified: Mon, 10 Feb 2025 09:44:35 GMT
Expires: Thu, 08 Feb 2035 09:44:35 GMT
ETag: "42e17b63d9f88cb369665beb24a7751c651a2b6e"

;;; GNU Guix --- Functional package management for GNU
;;; Copyright © 2013, 2014, 2019 Ludovic Courtès <ludo@gnu.org>
;;; Copyright © 2015 Mathieu Lirzin <mthl@openmailbox.org>
;;; Copyright © 2017 Mathieu Othacehe <m.othacehe@gmail.com>
;;;
;;; This file is part of GNU Guix.
;;;
;;; GNU Guix is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 3 of the License, or (at
;;; your option) any later version.
;;;
;;; GNU Guix is distributed in the hope that it will be useful, but
;;; WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.

(define-module (gnu packages ratpoison)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix build-system gnu)
  #:use-module ((guix licenses) #:select (gpl2+))
  #:use-module (gnu packages)
  #:use-module (gnu packages xorg)
  #:use-module (gnu packages perl)
  #:use-module (gnu packages readline)
  #:use-module (gnu packages pkg-config)
  #:use-module (gnu packages fontutils))

(define-public ratpoison
  (package
    (name "ratpoison")
    (version "1.4.9")
    (source
     (origin (method url-fetch)
             (uri (string-append "mirror://savannah/ratpoison/ratpoison-"
                                 version ".tar.xz"))
             (sha256
              (base32
               "1wfir1gvh5h7izgvx2kd1pr2k7wlncd33zq7qi9s9k2y0aza93yr"))
             (patches (search-patches "ratpoison-shell.patch"))))
    (build-system gnu-build-system)
    (arguments
     `(#:modules ((ice-9 format)
                  ,@%gnu-build-system-modules)
       #:phases
       (modify-phases %standard-pha<pre>
#!/bin/sh

# GNU Guix --- Functional package management for GNU
# Copyright © 2012, 2013, 2014, 2015, 2017, 2018, 2019, 2020 Ludovic Courtès &lt;ludo@gnu.org&gt;
# Copyright © 2017 Eric Bavier &lt;bavier@cray.com&gt;
#
# This file is part of GNU Guix.
#
# GNU Guix is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
#
# GNU Guix is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Guix.  If not, see &lt;http://www.gnu.org/licenses/&gt;.

# Usage: ./pre-inst-env COMMAND ARG...
#
# Run COMMAND in a pre-installation environment.  Typical use is
# &quot;./pre-inst-env guix build hello&quot;.

# By default we may end up with absolute directory names that contain &apos;..&apos;,
# which get into $GUILE_LOAD_PATH, leading to &apos;..&apos; in the module file names
# recorded by Guile.  To avoid that, make sure we get a real absolute
# directory name.  Additionally, use &apos;-P&apos; to get the canonical directory name
# so that Guile&apos;s &apos;relative&apos; %file-port-name-canonicalization can actually
# work (see &lt;http://bugs.gnu.org/17935&gt;.)
abs_top_srcdir=&quot;`cd &quot;@abs_top_srcdir@&quot; &gt; /dev/null; pwd -P`&quot;
abs_top_builddir=&quot;`cd &quot;@abs_top_builddir@&quot; &gt; /dev/null; pwd -P`&quot;

GUILE_LOAD_COMPILED_PATH=&quot;$abs_top_builddir${GUILE_LOAD_COMPILED_PATH:+:}$GUILE_LOAD_COMPILED_PATH&quot;
GUILE_LOAD_PATH=&quot;$abs_top_builddir:$abs_top_srcdir${GUILE_LOAD_PATH:+:}$GUILE_LOAD_PATH&quot;
export GUILE_LOAD_COMPILED_PATH GUILE_LOAD_PATH

# Define $PATH so that `guix&apos; and friends are easily found.

PATH=&quot;$abs_top_builddir/scripts:$abs_top_builddir:$PATH&quot;
export PATH

# The daemon invokes &apos;guix&apos;; tell it which one to use.
GUIX=&quot;$abs_top_builddir/scripts/guix&quot;
export GUIX

# Define $GUIX_UNINSTALLED to prevent `guix&apos; from
# prepending @guilemoduledir@ to the Guile load paths.

GUIX_UNINSTALLED=1
export GUIX_UNINSTALLED

exec &quot;$@&quot;
</pre>
</div></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
